Package it.ernytech.tdlib

## Class TdApi.SetProfilePhoto

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetProfilePhoto

Enclosing class:
  TdApi

    public static class TdApi.SetProfilePhoto
    extends TdApi.Function

Uploads a new profile photo for the current user. If something changes, updateUser will be sent.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.InputFile` `photo` Profile photo to set. inputFileId and inputFileRemote may still be unsupported.

### Constructor Summary

Constructors
`SetProfilePhoto()` Default constructor.
`SetProfilePhoto​(TdApi.InputFile photo)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### photo

    public TdApi.InputFile photo

Profile photo to set. inputFileId and inputFileRemote may still be unsupported.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetProfilePhoto

    public SetProfilePhoto()

Default constructor.

#### SetProfilePhoto

    public SetProfilePhoto​(TdApi.InputFile photo)

Constructor for initialization of all fields.

Parameters:
  `photo` - Profile photo to set. inputFileId and inputFileRemote may still be unsupported.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR